Kafka Connectors
Fetches the current target definition for a connector
clusterconnectorThe request input was invalid
Authentication error
The purchased Lenses license does not provide access to this feature
Authorisation error
The requested resource cannot be found
An internal server error has occurred
GET /api/v1/environments/{name}/proxy/api/v1/resource/kafka/connect/{connect-cluster-name}/connector/{connector-name} HTTP/1.1
Accept: */*
binaryThe bearer token can be obtained by creating a ServiceAccount.
The request input was invalid
Authentication error
The purchased Lenses license does not provide access to this feature
Authorisation error
The requested resource cannot be found
An internal server error has occurred
GET /api/api/v1/environments/{name}/proxy/api/kafka-connect/connectors HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"name": "text",
"lrn": "text",
"cluster": "text",
"state": "RUNNING",
"tasks": [
{
"id": 1,
"state": "RUNNING"
}
],
"className": "text",
"type": "text",
"author": "text",
"icon": "text"
}
]
}The bearer token can be obtained by creating a ServiceAccount.
The request input was invalid
Authentication error
The purchased Lenses license does not provide access to this feature
Authorisation error
The requested resource cannot be found
An internal server error has occurred
POST /api/api/v1/environments/{name}/proxy/api/kafka-connect/connectors HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 108
{
"name": "connector",
"cluster": "cluster",
"configuration": {
"connector.class": "org...FileStreamSinkConnector"
}
}{}The bearer token can be obtained by creating a ServiceAccount.
The request input was invalid
Authentication error
The purchased Lenses license does not provide access to this feature
Authorisation error
The requested resource cannot be found
An internal server error has occurred
PUT /api/api/v1/environments/{name}/proxy/api/kafka-connect/clusters/{cluster}/connectors/{connector}/{action} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}The bearer token can be obtained by creating a ServiceAccount.
The request input was invalid
Authentication error
The purchased Lenses license does not provide access to this feature
Authorisation error
The requested resource cannot be found
An internal server error has occurred
PUT /api/api/v1/environments/{name}/proxy/api/kafka-connect/clusters/{cluster}/connectors/{connector}/tasks/{p1}/restart HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}The bearer token can be obtained by creating a ServiceAccount.
The request input was invalid
Authentication error
The purchased Lenses license does not provide access to this feature
Authorisation error
The requested resource cannot be found
An internal server error has occurred
DELETE /api/api/v1/environments/{name}/proxy/api/kafka-connect/clusters/{cluster}/connectors/{connector} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}The bearer token can be obtained by creating a ServiceAccount.
The request input was invalid
Authentication error
The purchased Lenses license does not provide access to this feature
Authorisation error
The requested resource cannot be found
An internal server error has occurred
POST /api/api/v1/environments/{name}/proxy/api/kafka-connect/validate HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 108
{
"name": "connector",
"cluster": "cluster",
"configuration": {
"connector.class": "org...FileStreamSinkConnector"
}
}{
"class": "text",
"configuration": [
{
"name": "text",
"required": true,
"order": 1,
"documentation": "text",
"errors": [
"text"
],
"visible": true,
"value": "text",
"defaultValue": "text"
}
]
}Last updated
Was this helpful?

